Subject: bug#41242: Port feature/native-comp to Windows

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 May 2020 16:42:36 +0300

> From: Nicolas Bértolo <[email-masked]>
> Date: Wed, 13 May 2020 17:01:59 -0300
> Cc: [email-masked]
> 
> > Did you manage to understand why?  How many bytes of *.eln files does
> > Emacs load while autoloading Helm, for example?
> 
> I don't know how to measure that, sorry. AFAIK Emacs just maps many subr to the
> correct function pointers and the OS takes care of loading the appropriate code
> on page faults.
> 
> My guess is that autoloading triggers a long series of eln loading operations,
> that, as a group, are very expensive.
> 
> Do you know what profiler I could use to check what Emacs is doing?

I'd begin with Emacs's built-in "M-x profiler-start".  After invoking
that, start the Helm loading command, and when it ends, invoke
profiler-report.  Post the resulting profile fully expanded, and maybe
that will give some clues about what to examine next.

It will also be useful to have a comparable measurement from
GNU/Linux, so that we could compare the profiles and the elapsed
times.